## sem_limits

sem_limits

## Functions

void | glibtop_get_sem_limits ()
void | glibtop_get_sem_limits_l ()
void | glibtop_get_sem_limits_p ()
void | glibtop_get_sem_limits_s ()

## Types and Values

#define | GLIBTOP_IPC_SEMMAP
#define | GLIBTOP_IPC_SEMMNI
#define | GLIBTOP_IPC_SEMMNS
#define | GLIBTOP_IPC_SEMMNU
#define | GLIBTOP_IPC_SEMMSL
#define | GLIBTOP_IPC_SEMOPM
#define | GLIBTOP_IPC_SEMUME
#define | GLIBTOP_IPC_SEMUSZ
#define | GLIBTOP_IPC_SEMVMX
#define | GLIBTOP_IPC_SEMAEM
#define | GLIBTOP_MAX_SEM_LIMITS
struct | glibtop_sem_limits
#define | glibtop_get_sem_limits_r

## Includes

    #include <glibtop/sem_limits.h>

## Description

## Functions

### glibtop_get_sem_limits ()

    void
    glibtop_get_sem_limits (glibtop_sem_limits *buf);

### glibtop_get_sem_limits_l ()

    void
    glibtop_get_sem_limits_l (glibtop *server,
                              glibtop_sem_limits *buf);

### glibtop_get_sem_limits_p ()

    void
    glibtop_get_sem_limits_p (glibtop *server,
                              glibtop_sem_limits *buf);

### glibtop_get_sem_limits_s ()

    void
    glibtop_get_sem_limits_s (glibtop *server,
                              glibtop_sem_limits *buf);

## Types and Values

### GLIBTOP_IPC_SEMMAP

    #define GLIBTOP_IPC_SEMMAP 0

### GLIBTOP_IPC_SEMMNI

    #define GLIBTOP_IPC_SEMMNI 1

### GLIBTOP_IPC_SEMMNS

    #define GLIBTOP_IPC_SEMMNS 2

### GLIBTOP_IPC_SEMMNU

    #define GLIBTOP_IPC_SEMMNU 3

### GLIBTOP_IPC_SEMMSL

    #define GLIBTOP_IPC_SEMMSL 4

### GLIBTOP_IPC_SEMOPM

    #define GLIBTOP_IPC_SEMOPM 5

### GLIBTOP_IPC_SEMUME

    #define GLIBTOP_IPC_SEMUME 6

### GLIBTOP_IPC_SEMUSZ

    #define GLIBTOP_IPC_SEMUSZ 7

### GLIBTOP_IPC_SEMVMX

    #define GLIBTOP_IPC_SEMVMX 8

### GLIBTOP_IPC_SEMAEM

    #define GLIBTOP_IPC_SEMAEM 9

### GLIBTOP_MAX_SEM_LIMITS

    #define GLIBTOP_MAX_SEM_LIMITS 10

### struct glibtop_sem_limits

    struct glibtop_sem_limits {
    	guint64 flags;
    	guint64 semmap;		/* GLIBTOP_IPC_SEMMAP */
    	guint64 semmni;		/* GLIBTOP_IPC_SEMMNI */
    	guint64 semmns;		/* GLIBTOP_IPC_SEMMNS */
    	guint64 semmnu;		/* GLIBTOP_IPC_SEMMNU */
    	guint64 semmsl;		/* GLIBTOP_IPC_SEMMSL */
    	guint64 semopm;		/* GLIBTOP_IPC_SEMOPM */
    	guint64 semume;		/* GLIBTOP_IPC_SEMUME */
    	guint64 semusz;		/* GLIBTOP_IPC_SEMUSZ */
    	guint64 semvmx;		/* GLIBTOP_IPC_SEMVMX */
    	guint64 semaem;		/* GLIBTOP_IPC_SEMAEM */
    };

### glibtop_get_sem_limits_r

    #define glibtop_get_sem_limits_r glibtop_get_sem_limits_p